org.eclipse.emf.compare.ide.ui.internal.treecontentmanager

## Interface EMFCompareDeferredTreeContentManagerProvider

    public interface EMFCompareDeferredTreeContentManagerProvider

Provider Service for `EMFCompareDeferredTreeContentManager`s.

### Method Summary

All Methods Instance Methods Abstract Methods
`EMFCompareDeferredTreeContentManager` `createEMFDeferredTreeContentManager(org.eclipse.jface.viewers.AbstractTreeViewer viewer)` Provides a `EMFCompareDeferredTreeContentManager` for the given viewer.

### Method Detail

#### createEMFDeferredTreeContentManager

    EMFCompareDeferredTreeContentManager createEMFDeferredTreeContentManager(org.eclipse.jface.viewers.AbstractTreeViewer viewer)

Provides a `EMFCompareDeferredTreeContentManager` for the given viewer.

Parameters:
  `viewer` - The viewer with which the `EMFCompareDeferredTreeContentManager` is created.
Returns:
  The created `EMFCompareDeferredTreeContentManager`.